Subject: Re: wireless: mwifiex: initial commit for Marvell mwifiex driver

From: Dan Carpenter <[email-masked]>
Date: Thu, 26 Apr 2012 15:51:02 +0300

On Wed, Apr 25, 2012 at 03:08:33PM -0700, Bing Zhao wrote:
> > ->oui is only a 3 byte array so we're reading past the end for this
> > comparison.
> 
> I will fix the misuse of memcmp's.
> 

So it wasn't really a bug right?  Just a bit confusing.

> By the way, could you please share with me how you check for this kind of errors?
> Is it coccinelle? I tried with coccicheck but got "spatch.opt unknown option -D" error.
> 

This was from a Smatch check that I haven't pushed yet.

regards,
dan carpenter